function NovaAplicacao() {

    var mSelf = this;

    mSelf.Identificador = ko.observable("");
    mSelf.Descricao = ko.observable("");
    mSelf.MsgErro = ko.observable("");

    mSelf.SalvarAplicacao = function () {
        $(".alert-msg-nova-app").hide();
        mSelf.MsgErro("");

        var id = $("#cmp-nova-app").val();
        var dsc = $("#cmp-descricao").val();

        if (id == "") {
            mSelf.MsgErro("Identificador");
            $("#cmp-nova-app").addClass("cmp-erro");
        }
        if (dsc == "") {
            mSelf.MsgErro() != "" ? mSelf.MsgErro(mSelf.MsgErro() + " e Nome da Aplicação") : mSelf.MsgErro("Nome da Aplicação");
            $("#cmp-descricao").addClass("cmp-erro");
        }

        if (mSelf.MsgErro() == "") {
            $(".loading-div").fadeIn("fast");

            var params = {
                Identificador: $("#cmp-nova-app").val(),
                Descricao: $("#cmp-descricao").val()
            };

            $.ajax({
                url: urlGlobal + "Controle/Configuracao/SalvarAplicacao",
                contentType: 'application/json; charset=utf-8',
                dataType: "json",
                type: "POST",
                data: JSON.stringify(params),
                success: function (ret) {
                    if (ret.IsSucesso) {
                        $(".box-nova-app").hide();
                        $(".btn-nova-aplicacao").removeClass("x-nova-app");
                        vm.Perspectiva.Configuracoes().Init();
                    }
                }
            });
        } else {
            $(".alert-msg-nova-app").show();
            mSelf.MsgErro("Informe o(s) campo(s) " + mSelf.MsgErro());
        }
    };

    mSelf.Init = function () {
        //$(".add-nova-app").unbind();
        //$(".box-nova-app .add-nova-app").unbind();
        $(".box-nova-app .add-nova-app").on("click", function () {
            $(".box-nova-app").hide();
            $(".primeira-etapa").fadeOut("slow");
            $(".header-configuracao h1").delay(600).fadeIn("slow");
            $(".box-accordion").delay(600).fadeIn("slow");
            $(".btn-nova-aplicacao").removeClass("x-nova-app");
        });
        // habilita o filtro quando uma nova aplicação é adicionada
        $(".add-nova-app").on("click", function () {
            $(".filtro-app").fadeIn();
        });

    };

    mSelf.Init();
}